Package lxml :: Module cssselect :: Class Function |
[hide private]
[frames] | no frames]

# Class Function

source code

    object --+
             |
            Function

Represents selector:name(expr)

Instance Methods | [hide private]
__init__(self, selector, type, name, expr) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
__repr__(self) repr(x) | source code
xpath(self) | source code
_xpath_nth_child(self, xpath, expr, last=False, add_name_test=True) | source code
_xpath_nth_last_child(self, xpath, expr) | source code
_xpath_nth_of_type(self, xpath, expr) | source code
_xpath_nth_last_of_type(self, xpath, expr) | source code
_xpath_contains(self, xpath, expr) | source code
_xpath_not(self, xpath, expr) | source code
Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__str__`

Class Variables | [hide private]
| unsupported = ``[``'``target``'``,` `'``lang``'``,` `'``enabled``'``,` `'``disabled``'``]``

Properties | [hide private]
Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, selector, type, name, expr) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

### __repr__(self) (Representation operator) | source code
repr(x) Overrides: object.__repr__ (inherited documentation)